Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79212 - RFE: include hpoj
Summary: RFE: include hpoj
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sane
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-07 17:04 UTC by sjarrettsprague
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-03 15:53:13 UTC


Attachments (Terms of Use)

Description sjarrettsprague 2002-12-07 17:04:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I have a hp psc 950 printer/scanner which is supported by linux. However 
redhat 8.0 does not recognised the usb scanner though it recognised the usb 
printer.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run sane
2.does not recognise scanner
3.
	

Actual Results:  Cannot get scanner to work

Expected Results:  Working scanner required

Additional info:

Comment 1 Michael Lee Yohe 2002-12-09 15:47:07 UTC
Please provide the output of:

$ cat /proc/bus/usb/drivers
$ cat /proc/bus/usb/devices
$ cat /proc/scsi/scsi

Comment 2 sjarrettsprague 2002-12-12 12:07:33 UTC
This is the output I get from Mandrake 9.0 which can get my scanner working.

cat /proc/bus/usb/drivers

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 4
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=e4933000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=03f0 ProdID=1e11 Rev= 1.00
S:  Manufacturer=Hewlett-Packard
S:  Product=PSC 950
S:  SerialNumber=MY21TC2156WP
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=07(print) Sub=01 Prot=03 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
I:  If#= 0 Alt= 1 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
I:  If#= 0 Alt= 2 #EPs= 1 Cls=07(print) Sub=01 Prot=01 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms

cat /proc/bus/usb/devices

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 4
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=e4933000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=03f0 ProdID=1e11 Rev= 1.00
S:  Manufacturer=Hewlett-Packard
S:  Product=PSC 950
S:  SerialNumber=MY21TC2156WP
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=07(print) Sub=01 Prot=03 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
I:  If#= 0 Alt= 1 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
I:  If#= 0 Alt= 2 #EPs= 1 Cls=07(print) Sub=01 Prot=01 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms

cat /proc/scsi/scsi
Attached devices: 
Host: scsi0 Channel: 00 Id: 02 Lun: 00
  Vendor: RICOH    Model: CD-R/RW MP7083A  Rev: 1.20
  Type:   CD-ROM                           ANSI SCSI revision: 02

-- 
Regards
Stephen

Comment 3 Tim Waugh 2002-12-12 12:13:02 UTC
As I understand it, support for this device comes from the HP Office Jet project
(hpoj).  Does that sound right?

Comment 4 Michael Lee Yohe 2002-12-12 16:18:38 UTC
That's interesting - your USB scanner does not appear in the SCSI device
listing.  I had thought that all USB scanners interface with sane via the
piggy-back SCSI driver.

Comment 5 sjarrettsprague 2002-12-16 20:44:08 UTC
hpoj seems right. If you go to www.hp.com search for linux scanner/printer
support you get to a sourceforge page which gives all the details you need. I
have tested the scanner under Mandrake 9.0 and it works perfectly via sane.

Comment 6 Tim Waugh 2002-12-16 22:46:06 UTC
Okay, changing to an RFE for hpoj.  A preliminary package for that can be found
in rawhide.


Note You need to log in before you can comment on or make changes to this bug.